# Uses of Class
org.eclipse.microprofile.rest.client.tck.sse.WeatherEvent

Packages that use WeatherEvent
Package
Description
org.eclipse.microprofile.rest.client.tck.sse

## Uses of WeatherEvent in org.eclipse.microprofile.rest.client.tck.sse

Methods in org.eclipse.microprofile.rest.client.tck.sse that return WeatherEvent
Modifier and Type
Method
Description
`WeatherEvent`
WeatherEventProvider.`readFrom(Class<WeatherEvent> type, Type genericType, Annotation[] annotations, jakarta.ws.rs.core.MediaType mediaType, jakarta.ws.rs.core.MultivaluedMap<String,String> httpHeaders, InputStream entityStream)`
Methods in org.eclipse.microprofile.rest.client.tck.sse that return types with arguments of type WeatherEvent
Modifier and Type
Method
Description
`org.reactivestreams.Publisher<WeatherEvent>`
RsWeatherEventClient.`getEvents()`
Method parameters in org.eclipse.microprofile.rest.client.tck.sse with type arguments of type WeatherEvent
Modifier and Type
Method
Description
`WeatherEvent`
WeatherEventProvider.`readFrom(Class<WeatherEvent> type, Type genericType, Annotation[] annotations, jakarta.ws.rs.core.MediaType mediaType, jakarta.ws.rs.core.MultivaluedMap<String,String> httpHeaders, InputStream entityStream)`